mysql_select_db
mysql_stat
MySQL Functions
PHP Manual

# mysql_set_charset

(PHP 5 >= 5.2.3)

mysql_set_charset — Sets the client character set

Warning

This extension is deprecated as of PHP 5.5.0, and will be removed in the future. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- mysqli_character_set_name()
- PDO: Add charset to the connection string, such as charset=utf8

### Description

bool mysql_set_charset ( string `$charset` [, resource `$link_identifier` = NULL ] )

Sets the default character set for the current connection.

### Parameters

`charset`

  A valid character set name.

`link_identifier`

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If no connection is found or established, an `E_WARNING` level error is generated.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note:

> This function requires MySQL 5.0.7 or later.

> Note:

> This is the preferred way to change the charset. Using mysql_query() to set it (such as SET NAMES utf8) is not recommended. See the MySQL character set concepts section for more information.

### See Also

- mysql_client_encoding() - Returns the name of the character set
- Setting character sets in MySQL
- » List of character sets that MySQL supports

mysql_select_db
mysql_stat
MySQL Functions
PHP Manual